Summary: System to user tools
Name: s2u
Version: 0.9.2
Release: %mkrel 2
URL: http://www.mandrivalinux.com/
Source0: %{name}-%{version}.tar.xz
Patch:   s2u.patch
License: GPL
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: gtk+2-devel
BuildRequires: libnotify-devel
Requires: dbus
Requires: initscripts >= 7.06-52mdk

%description
his tool is used to send messages between the system and users'
accounts.

For each X11 session a small program called s2u is launched under an
X11 dbus session (using existing one if possible). The s2u program
waits then for dbus messages to take the appropriate actions. The
implemented actions are:

 o react to hostname changes to continue to have a working X11 session.
 o run update-menus if requested by the system
 o display msec notifications
 o display custom notifications (netprofile, ...)

%prep
%setup -q
%patch

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README AUTHORS LICENSE
%_bindir/s2u
%_sysconfdir/X11/xinit.d/s2u
%_sysconfdir/sysconfig/network-scripts/hostname.d/s2u
%config(noreplace) %_sysconfdir/dbus-1/system.d/*.conf



%changelog
* Wed Jul 13 2016 adrianomorselli <adrianomorselli> 0.9.2-2uplos2012
- rebuild

* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 0.9.2-2pclos2012
- add patch to make work with new libnotify

* Tue Feb 22 2011 Texstar <texstar at gmail.com> 0.9.2-1pclos2011
- update for 2010/2011 release

